// file: $DT/class/decision_tree/v1.0/dt_prune_3.cc
//

// isip include files
//
#include <data_node.h>
#include <linked_list.h>
#include <tree_node.h>
#include <tree_node_constants.h>
#include <tree.h>
#include "decision_tree.h"
#include <integral_constants.h>

// method: apply_prune_cc
//
// arguments:
//  Tree_node* node: (input) the node we are considering to prune
//
// return: a logical_1 indicating status of success
//
logical_1 Decision_tree::apply_prune_cc (Tree_node* node_a) {

  printf ("Pruning two nodes...\n");

  node_a->delete_children_cc();

  // exit gracefully
  //
  return ISIP_TRUE;
}

