// file: $DT/class/decision_tree/v1.0/dt_tnode_0.cc
//

// isip include files
//
#include "decision_tree.h"
#include <integral_constants.h>
#include <tree_node.h>
#include <string.h>

// method: generate_tree_classes_cc
//
// arguments:
//  int_4 num_classes (input) the number of classes
//  char_1** classes (input) the values of the classes
//
// return: a logical_1 indicating status
//
logical_1 Decision_tree::generate_tree_classes_cc (int_4 num_classes_a,
						   char_1** classes_a) {
  
  // argument validity check
  //
  if (classes_a == (char_1**)NULL) {
    error_handler_cc((char_1*)"generate_tree_classes_cc",
                     (char_1*)"class values are not valid");
  }

  // declare some useful variables to insert in the node
  //
  Tree_node tmp_tree_node;

  for (int_4 i=0;i<num_classes_a;i++) {
    tmp_tree_node.grow_class_cc(classes_a[i]);
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


