// file: $DT/class/decision_tree/v1.0/dt_get_2.cc
//

// isip include files
//
#include "attribute_node.h"
#include "linked_list.h"
#include "decision_tree.h"
#include <integral_constants.h>

// method: get_attribute_node_cc
//
// arguments:
//
// return: a logical_1 indicating status
//
logical_1 Decision_tree::get_attribute_node_cc (int_4 index_a,
						Attribute_node** attr_a) {

  // argument check
  //
  if (index_a >= num_of_attributes_d) {
    error_handler_cc ((char_1*)"get_attribute_node_cc",
		      (char_1*)"invalid index");
  }
  
  Linked_list* ll=attribute_list_d;
  
  for (int_4 i=0; i<index_a; i++) {
    ll = ll->get_next_cc();
  }

  *attr_a = (Attribute_node*) ll->get_node_cc();

  // exit gracefully
  //
  return ISIP_TRUE;
}


