// file: $DT/class/decision_tree/v1.0/dt_prune_1.cc
//

// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"
#include "tree_node.h"
#include "tree.h"
#include <integral_constants.h>

// method: prune_pessimistic_cc
//
// arguments: none
//
// return: a logical_1 indicating status of success
//
logical_1 Decision_tree::prune_pessimistic_cc () {

  Tree_node* node_a = tree_d->get_root_cc();

  if (node_a->is_terminal_cc() == ISIP_FALSE) {
    drop_thru_prune_cc(node_a);
  }
  else if (node_a == (Tree_node*)NULL) {
    error_handler_cc((char_1*)"prune_pessimistic_cc",
		     (char_1*)"unable to prune an empty tree");
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


