// file: ll_cstr_0.cc
//

// isip include files
//
#include <integral_constants.h>
#include "linked_list.h"
#include "linked_list_constants.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor for the Linked_list class
//
Linked_list::~Linked_list() {

  //  printf("Linked_list destructor: %u\n", (uint_2)this);
  
  // delete the node
  //
  if (node_d != NULL) {
    delete node_d;
  }
  node_d = NULL;
  
  // reset the current pointer
  //
  curr_d = NULL;

  // delete the next link, the rest delete recursively
  //
  if (next_d != NULL) {
    delete next_d;
  }
  next_d = NULL;

  // exit gracefully
  //
}
